Data - Retrieve Monitors For Objects

Pobiera listę monitorów i ich właściwości skojarzonych z określonym obiektem.

POST http://<Servername>/OperationsManager/data/object/monitors

Treść żądania

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Nazwa Typ Opis
id

string

Identyfikator obiektu monitora

showUnhealthyMonitorsOnly

boolean

, aby wyświetlić tylko monitory w złej kondycji

Odpowiedzi

Nazwa Typ Opis
200 OK

TableDataResponse

OK. Pomyślnie pobrano listę monitorów i ich właściwości skojarzonych z określonym obiektem

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Przykłady

RetrieveMonitorsForObjects

Przykładowe żądanie

POST http://<Servername>/OperationsManager/data/object/monitors

{
  "id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
  "showUnhealthyMonitorsOnly": true
}

Przykładowa odpowiedź

{
  "tableColumns": [
    {
      "field": "state",
      "header": "State",
      "type": null,
      "hidden": false
    },
    {
      "field": "id",
      "header": "Id",
      "type": null,
      "hidden": true
    },
    {
      "field": "targetid",
      "header": "Target Id",
      "type": null,
      "hidden": true
    },
    {
      "field": "displayname",
      "header": "Display Name",
      "type": null,
      "hidden": false
    },
    {
      "field": "targetname",
      "header": "Target",
      "type": null,
      "hidden": false
    },
    {
      "field": "category",
      "header": "Category",
      "type": null,
      "hidden": false
    },
    {
      "field": "type",
      "header": "Type",
      "type": null,
      "hidden": false
    },
    {
      "field": "laststatechange",
      "header": "Last State Change",
      "type": null,
      "hidden": false
    }
  ],
  "rows": [
    {
      "id": "ffee43e2-9221-1df8-3259-8835a93b42e8",
      "targetid": "ac5cddfc-a96a-ee99-745d-ec74845f53f6",
      "displayname": "Entity Health",
      "state": "/OperationsManager/images/instance/state/ErrorDisabled.png",
      "category": "AvailabilityHealth",
      "targetname": "Object",
      "type": "Aggregate",
      "laststatechange": "2022-05-16T20:40:27.933"
    },
    {
      "id": "040e606c-6330-7245-f49d-a2e70a78177e",
      "targetid": "ac5cddfc-a96a-ee99-745d-ec74845f53f6",
      "displayname": "Availability",
      "state": "/OperationsManager/images/instance/state/ErrorDisabled.png",
      "category": "AvailabilityHealth",
      "targetname": "Object",
      "type": "Aggregate",
      "laststatechange": "2022-05-16T20:40:27.933"
    },
    {
      "id": "d08269f6-cb82-f2de-cf53-161993a3f841",
      "targetid": "ee7ec974-c9f0-1818-e5be-1fb41eb4f2ae",
      "displayname": "Computer Availability Health Rollup",
      "state": "/OperationsManager/images/instance/state/ErrorDisabled.png",
      "category": "AvailabilityHealth",
      "targetname": "Computer Group",
      "type": "Dependency",
      "laststatechange": "2022-05-16T20:40:27.933"
    }
  ]
}

Definicje

Nazwa Opis
MonitorObjectDataRequest
TableColumn
TableDataResponse

MonitorObjectDataRequest

Nazwa Typ Opis
id

string

Identyfikator obiektu monitora

showUnhealthyMonitorsOnly

boolean

, aby wyświetlić tylko monitory w złej kondycji

TableColumn

Nazwa Typ Opis
field

string

Nazwa kolumny

header

string

Nagłówek kolumny

hidden

boolean

Czy kolumna jest ukryta

type

string

Typ kolumny

TableDataResponse

Nazwa Typ Opis
rows

object[]

Wiersze tabeli danych

tableColumns

TableColumn[]

Kolumny tabeli danych